How can we help you?

Can I use the Nord Security Center on older Windows and macOS versions?

This article is available in Danish, German, French, Italian, Spanish, Norwegian, Swedish, Dutch, Japanese, Korean, Polish, Portuguese-Brazilian, and Traditional Chinese.

The Nord Security Center does not support earlier versions of Nord Security products. As a result, if your device is running an older version of Windows or macOS that is incompatible with the latest Nord Security apps, you will not be able to make use of the Nord Security Center for installation.

Don’t worry — you can still benefit from your bundle subscription by using versions of NordVPN, NordPass, and NordLocker that are compatible with your device.

NordVPN

NordPass

NordLocker

You can upload your files to encrypted cloud storage and access them on older Windows or macOS devices using NordLocker’s Web Access service.

© Copyright 2023 all rights reservedSelf-service byGenesys